function SceneViewProfile(options) {
	this.options = options;

    this.ProfileView=null;
	this.ProfilePopupView=null;
	this.ViewProfileDim=null;
    
//    this.Title = null;
	
    this.ThumbnailLabel 	= null;
    this.NameLabel 			= null;
    this.MoodMsgLabel 		= null;
    this.SkypeNameLabel 	= null;
    this.BirthDayLabel 		= null;
    this.GenderLabel 		= null;
	this.LanguageLabel 		= null;
    this.LocationLabel 		= null;
	this.WebsiteLabel 		= null;
	this.PhoneNumberLabel 	= null;
	this.AboutMeLabel		= null;
	
    this.SkypeNameText 	= new Array(3);
    this.BirthDayText = new Array(3);
    this.GenderText = new Array(3);
	this.LanguageText = new Array(3);
    this.LocationText = new Array(3);
	this.WebsiteText = new Array(3);
	this.PhoneNumberText = new Array(3);
	this.AboutMeText = new Array(3);
	
	this.ContactName	= null;

    this.CloseBtn = null;
    this.ScrollBar = null;
	this.pageNum = 2;
	this.UpArrow = null;
	this.DownArrow = null;

}

SceneViewProfile.prototype.initialize = function () {
	alert("SceneViewProfileProfile.initialize()");
	
	this.create();
}

SceneViewProfile.prototype.handleShow = function () {
	alert("SceneViewProfileProfile.handleShow()");
	this.ViewProfileDim.show();
	
	this.setData();
	this.ChangePageNum(0);
	WndMgr.startPopupHideTimer(30000);    
}

SceneViewProfile.prototype.handleHide = function () {
	alert("SceneViewProfileProfile.handleHide()");
    this.ViewProfileDim.hide();

	WndMgr.stopPopupHideTimer();
}

SceneViewProfile.prototype.handleFocus = function () {
	alert("SceneViewProfileProfile.handleFocus()");
	this.CloseBtn.highlight();
}

SceneViewProfile.prototype.handleBlur = function () {
	alert("SceneViewProfileProfile.handleBlur()");	
	 var currentHighlight =  this.ProfileView.getCurrentHighlight();
     
	 if(currentHighlight != null)     
	 {
	 	currentHighlight.blur();
	 }	
}

SceneViewProfile.prototype.handleKeyDown = function (keyCode) {
	alert("SceneViewProfileProfile.handleKeyDown(" + keyCode + ")");
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	WndMgr.resetPopupHideTimer();
	switch (keyCode) {
		
        case sf.key.UP:
            this.processUpKey();
            break;

        case sf.key.DOWN:
            this.processDownKey();
            break;

        case sf.key.RETURN:
        case sf.key.EXIT:
            this.processReturnKey();
		sf.key.preventDefault();
            break;

		case sf.key.ENTER:
			this.processEnterKey();
			break;
            
         case 147:  //infolink
         case 261:  //contents
         case 115:  //wiselink
            ProcMgr.processInfolinkKey(); 
			break;
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneViewProfile.prototype.create = function(){
    alert("SceneViewProfileProfile.create()");
		

    this.ProfileView = new View("ViewProfile");
	
    this.ProfilePopupView = new View("ViewProfileBg");
    this.ProfilePopupView.CreatePopupBG(0,"ViewProfileBg");
	this.ProfilePopupView.SetTitleTextofPopupBG(SID_PROFILE_KR_PROFILE);
    this.ProfilePopupView.CreateInnerBox("ViewProfileBg_innerbox");
    
	this.ViewProfileDim = new DimBg("ViewProfileDim", "ViewProfile"); 
  
    this.ThumbnailLabel= new Label("view_profile_thumbnail", null);
    this.ThumbnailLabel.AppendFgImage("view_profile_thumbnail_avata","0px","0px","60px","60px");	
    this.ThumbnailLabel.SetBgImage(g_Image.IMAGE_LIST_MAIN_VIEW_PROFILE_THUMBNAIL);
    
    this.NameLabel = new Label(null,"view_profile_full_name");
    this.NameLabel.SetReverseDisable(true);
    this.NameLabel.SetIsPlainText(true);	
    
    this.MoodMsgLabel = new Label(null,"view_profile_mood_msg");
    this.MoodMsgLabel.SetReverseDisable(true);
    this.MoodMsgLabel.SetIsPlainText(true);
	
	var a=1;
	for(a=1; a<=3; a++)
	{
		this.SkypeNameText[a-1]=new Label(null,"view_profile_skype_name"+"_"+a);
		this.SkypeNameText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);
		
		this.BirthDayText[a-1]=new Label(null,"view_profile_birth_date"+"_"+a);
		this.BirthDayText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);

		this.GenderText[a-1]=new Label(null,"view_profile_gender"+"_"+a);
		this.GenderText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);
		
		this.LanguageText[a-1]=new Label(null,"view_profile_language"+"_"+a);
		this.LanguageText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);
		
		this.LocationText[a-1]=new Label(null,"view_profile_location"+"_"+a);
		this.LocationText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);

		this.WebsiteText[a-1]=new Label(null,"view_profile_website"+"_"+a);
		this.WebsiteText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);
		
		this.PhoneNumberText[a-1]=new Label(null,"view_profile_contacts"+"_"+a);
		this.PhoneNumberText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);

		this.AboutMeText[a-1]=new Label(null,"view_profile_about_me"+"_"+a);
		this.AboutMeText[a-1].SetTextStyle("view_profile_text_style"+"_"+a);
		
		if(a==1)
		{
			this.SkypeNameText[0].SetText(IDWS_MOIP_SKYPE_NAME);
			this.BirthDayText[0].SetText(IDWS_MOIP_SETTING_BIRTH_DATE);
			this.GenderText[0].SetText(IDWS_MOIP_SETTING_GENDER);	
			this.LanguageText[0].SetText(SID_LANGUAGE);
			this.LocationText[0].SetText(SID_LOCATION_KR_LOCATE);
			this.WebsiteText[0].SetText(IDWS_MOIP_WEBSITE);	
			this.PhoneNumberText[0].SetText(IDWS_MOIP_CONTACTS);
			this.AboutMeText[0].SetText(IDWS_MOIP_ABOUT_ME);	  
		}
		
		if(a==2)
		{
			this.SkypeNameText[1].SetText(":");
			this.BirthDayText[1].SetText(":");
			this.GenderText[1].SetText(":");	
			this.LanguageText[1].SetText(":");
			this.LocationText[1].SetText(":");
			this.WebsiteText[1].SetText(":");	
			this.PhoneNumberText[1].SetText(":");
			this.AboutMeText[1].SetText(":");	  
		}
		
		if(a==3)
		{
			this.SkypeNameText[2].SetReverseDisable(true); 
			this.BirthDayText[2].SetReverseDisable(true); 
			this.GenderText[2].SetReverseDisable(true); 
			this.LanguageText[2].SetReverseDisable(true); 
			this.LocationText[2].SetReverseDisable(true); 
			this.WebsiteText[2].SetReverseDisable(true); 
			this.PhoneNumberText[2].SetReverseDisable(true); 
			this.AboutMeText[2].SetReverseDisable(true);
			
			this.SkypeNameText[2].SetIsPlainText(true); 
			this.BirthDayText[2].SetIsPlainText(true); 
			this.GenderText[2].SetIsPlainText(true); 
			this.LanguageText[2].SetIsPlainText(true); 
			this.LocationText[2].SetIsPlainText(true); 
			this.WebsiteText[2].SetIsPlainText(true); 
			this.PhoneNumberText[2].SetIsPlainText(true); 
			this.AboutMeText[2].SetIsPlainText(true);  	  
		}
	}

	var this_ = sf.scene.get("ViewProfile");
    var clickCF =  function(obj){this_.processClickEvent(obj);};    	  
    
    this.CloseBtn = new Button();
    this.CloseBtn.SetImageObjId("view_profile_close_btn", 20);
    this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
    this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);	
    this.CloseBtn.SetTextObjId("view_profile_close_btn_text");
    this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"cPopup_btn_text_high");
    this.CloseBtn.SetText(SID_CLOSE);
	this.CloseBtn.SetOnClickCallbackFunc(clickCF);
	
	this.ScrollBar = new ScrollBar();
	this.ScrollBar.Create("view_profile_scrollbar");
	this.ScrollBar.SetShapeStyle(SCROLLBAR_SHAPE_STYLE.VERTICAL);
	this.ScrollBar.SetFirstImage(g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_TOP);
	this.ScrollBar.SetSegmentImage(g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_CENTER);
	this.ScrollBar.SetLastImage(g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_BOTTOM);
	this.ScrollBar.SetPosition(2, 150, 0, 4);
	this.ScrollBar.SetBGImage(g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_BG_TOP, g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_BG_CENTER, g_Image.IMAGE_POPUP_INNERBOX_SCROLLBAR_BG_BOTTOM);
	this.ScrollBar.ResetScrollBar();
	
	this.UpArrow = new CompBase(); 
	this.UpArrow.CreateBG("view_profile_UpArrow");
	this.UpArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_UP_NOR);
	this.UpArrow.SetOnClickCallbackFunc(function(){this_.ChangePageNum(0);});	
	this.UpArrow.SetOnMouseOverCallbackFunc(function(){this_.ChangeArrow(ARROW_TYPE.UP_SEL);});
	this.UpArrow.SetOnMouseOutCallbackFunc(function(){this_.ChangeArrow(ARROW_TYPE.UP_NOR);});
    
	this.DownArrow = new CompBase(); 
	this.DownArrow.CreateBG("view_profile_DownArrow");
	this.DownArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_DOWN_NOR);
	this.DownArrow.SetOnClickCallbackFunc(function(){this_.ChangePageNum(1);});	
	this.DownArrow.SetOnMouseOverCallbackFunc(function(){this_.ChangeArrow(ARROW_TYPE.DOWN_SEL);});
	this.DownArrow.SetOnMouseOutCallbackFunc(function(){this_.ChangeArrow(ARROW_TYPE.DOWN_NOR);});

//	this_.onMouseOutFunc();
}

SceneViewProfile.prototype.Init = function(Identity){
	this.ContactName = Identity;
}

SceneViewProfile.prototype.AvataPathCompare = function(org)
{
    var input_text = org;
    var compare_text = "file:///mtd_rwcommon/moip/engines/Skype/avatar";

    if(input_text.length == 0)
    {
	    alert("AvataPathCompare : input_text.length == 0");
        return false;
    }
    else
    {
        for(var a=0; a<compare_text.length; a++)
        {
             var ch1 = input_text.substring(a, a+1);
             var ch2 = compare_text.substring(a, a+1);
             if(ch1 != ch2)
             {
			    alert("AvataPathCompare : ch1 = "+ch1+", ch2 = "+ch2);
				return false;
			}
        }
	    alert("AvataPathCompare : true : a = "+a);
		return true;
    }
    
}

SceneViewProfile.prototype.CheckLanguage = function(org)
{
    var input_text = org;
    var compare_text = "0123456789";

    if(input_text.length == 0)
    {
	    alert("CheckLanguage : input_text.length == 0");
        return false;
    }
    else
    {
        for(var a=0; a<input_text.length; a++)
        {
             var ch1 = input_text.substring(a, a+1);
			 for(var b=0; b<compare_text.length; b++) {
	             var ch2 = compare_text.substring(b, b+1);
				if(ch1 == ch2)
				{
					alert("CheckLanguage : ch1 = "+ch1+", ch2 = "+ch2);
					return false;
				}
			 }
        }
	    alert("CheckLanguage : true : a = "+a);
		return true;
    }
    
}

SceneViewProfile.prototype.CheckMarqueeLine = function(String){
	alert("SceneViewProfile.prototype.CheckMarqueeLine() : "+String);
	var HTMLString = "<div id='test'></div>";
	$("#ViewProfile").append(HTMLString);
	$("#test").text(String);
	$("#test").css(	{
				'float' : 'left',
				'font-size' : '24px',
				'white-space' : 'nowrap',
			});
	
	var width = parseInt($("#test").css('width').replace(/[^-\d\.]/g, ''));
	alert("width is "+width);
	var div_width = parseInt($("#view_profile_skype_name_3").css('width').replace(/[^-\d\.]/g, ''));
	alert("div_width is "+div_width);
	$("#test").remove();
	if(width>div_width){
		return true;
	}else{
		return false;
	}
	
	
}

SceneViewProfile.prototype.setData=function()
{
	var AvataImage = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_AVATAR_IMAGE);
	var Fullname = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_DISPLAYNAME);
	var MoodMsg = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_MOOD_TEXT);
	var Birthday = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_BIRTHDAY);
	var gender = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_GENDER);
	var Language = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_LANGUAGES);
	var City = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_CITY);
	var Province = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_PROVINCE);
	var Country = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_COUNTRY);	
	var Website = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_HOMEPAGE);
	var NumOfContacts = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_NROF_AUTHED_BUDDIES);
	var AboutMe = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_ABOUT);

	if(this.ContactName == "echo123") {
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_TEST_CALL_BIG;
	}	
	else if(this.AvataPathCompare(AvataImage) == false){
		var PSTN = PluginAPIMgr.GetContactPropWithName(this.ContactName,ENUM_CONTACT_PROPERTY.P_PSTNNUMBER);

		if (PSTN){
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_PSTN_BIG;
		}
		else {
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_NO_GENDER_BIG;
		}		
/*		else if (gender == "1"){
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MALE_BIG;			
		}
		else if (gender == "2" ) {
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_FEMALE_BIG;
		}
		else if (gender == "0"){
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_NO_GENDER_BIG;
		}			
		else {
			AvataImage = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MYSELF_BIG;
		}		*/
	}	
	if(!Fullname) {

	 	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());
	 	
		Fullname	= Scene.list.GetCurDisplayName();
	}
	
	var BDate = "";
	if(Birthday && Birthday.length == 8)
	{
		var year = Birthday.slice(0,4);
		var month = Birthday.slice(4,6);
		var day	= Birthday.slice(6);
		
		BDate = year + "." + month + "." + day;
	}
	else{
		
		alert("Error Birthday format!!!");
	}

	var Sex = "";
	if(gender == '1'){
		Sex = SID_MALE_KR_MAN;
	}
	else if(gender == '2'){
		Sex = SID_FEMALE_KR_WOMAN;
	}

	if(this.CheckLanguage(Language) == false)
		Language = "";

	if(City){
		City = City +  "/";
	}

	if(Province){
		Province = Province +  "/";
	}

	if(Country){
		Country = g_Data.GetCountryNameWithPrePix(Country);
	}
		
	var Location = City + Province  + Country;
	
	
	var Contacts = "";
	
	if(NumOfContacts){
		Contacts = NumOfContacts;
	}

	this.ThumbnailLabel.SetFgImage(AvataImage);
	this.NameLabel.SetText(Fullname);
	this.MoodMsgLabel.SetText(MoodMsg);
	
	this.SkypeNameText[2].SetText(this.ContactName);
	this.BirthDayText[2].SetText(BDate);
	this.GenderText[2].SetText(Sex);	
	this.LanguageText[2].SetText(Language);
	this.LocationText[2].SetText(Location);
	this.WebsiteText[2].SetText(Website);	
	this.PhoneNumberText[2].SetText(Contacts);
	this.AboutMeText[2].SetText(AboutMe);     

	if(this.CheckMarqueeLine(this.ContactName))
		this.SkypeNameText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(BDate))
		this.BirthDayText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(Sex))
		this.GenderText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(Language))
		this.LanguageText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(Location))
		this.LocationText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(Website))
		this.WebsiteText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(Contacts))
		this.PhoneNumberText[2].SetTextStyle("view_profile_text_style_3_Marquee");
	if(this.CheckMarqueeLine(AboutMe))
		this.AboutMeText[2].SetTextStyle("view_profile_text_style_3_Marquee");
/*
	alert("AvataImage : " + AvataImage);
	alert("Fullname : " + Fullname);
	alert("MoodMsg : " + MoodMsg);
	alert("ContactName : " + this.ContactName);
	alert("BDate : " + BDate);
	alert("Sex : " + Sex);
	alert("Language : " + Language);
	alert("Location : " + Location);
	alert("Website : " + Website);
	alert("Contacts : " + Contacts);
	alert("AboutMe : " + AboutMe);
*/
}

SceneViewProfile.prototype.ChangePageNum = function(num) {
    alert("SceneViewProfileProfile.ChangePageNum() : " + num);

	if(this.pageNum != num) {
		this.UpdateVisible(num);
		this.pageNum = num;
		this.ScrollBar.SetCurrentNum(num + 1);
		this.ScrollBar.ResetScrollBar();
		if(this.pageNum == 1) {
			this.UpArrow.Show();
			this.DownArrow.Hide();
		} else {
			this.UpArrow.Hide();
			this.DownArrow.Show();
		} 
	}
}

SceneViewProfile.prototype.UpdateVisible = function(num) {
	var a= 0;
	if(num == 0) {
		for(a=0; a < 3; a++) {
			this.LocationText[a].hiddenObj();
			this.WebsiteText[a].hiddenObj();
			this.PhoneNumberText[a].hiddenObj();
			this.AboutMeText[a].hiddenObj();
			this.SkypeNameText[a].visibleObj();
			this.BirthDayText[a].visibleObj();
			this.GenderText[a].visibleObj();
			this.LanguageText[a].visibleObj();
		}
	} else {
		for(a=0; a < 3; a++) {
			this.SkypeNameText[a].hiddenObj();
			this.BirthDayText[a].hiddenObj();
			this.GenderText[a].hiddenObj();
			this.LanguageText[a].hiddenObj();
			this.LocationText[a].visibleObj();
			this.WebsiteText[a].visibleObj();
			this.PhoneNumberText[a].visibleObj();
			this.AboutMeText[a].visibleObj();
		}
	}
}

SceneViewProfile.prototype.processUpKey = function() {
	if(this.pageNum == 1)
		this.ChangePageNum(0);
}

SceneViewProfile.prototype.processDownKey = function() {
	if(this.pageNum == 0)
		this.ChangePageNum(1);
}

SceneViewProfile.prototype.processEnterKey = function(){
    alert("SceneViewProfileProfile.processEnterKey() ");

	StateMgr.Stop_View_Profile_State(true);
	
}

SceneViewProfile.prototype.processReturnKey = function(){
    alert("SceneViewProfileProfile.processReturnKey() ");

	StateMgr.Stop_View_Profile_State(true);
	///kjy
	/*
	var scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
		scene.Activation();*/
	
}

SceneViewProfile.prototype.processClickEvent = function(obj){
	alert("SceneViewProfile.processClickEvent() ");
	
	this.processEnterKey();
}

SceneViewProfile.prototype.onMouseOverFunc = function(Type){
	alert("SceneViewProfile.onMouseOverFunc");
	var this_ = sf.scene.get("ViewProfile");
	this_.UpArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_UP_NOR);
	this_.DownArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_DOWN_NOR);
	if(Type){
		this_.ChangeArrow(Type);
	}
//	this_.UpArrow.Show();
//	this_.DownArrow.Show();
}

SceneViewProfile.prototype.onMouseOutFunc = function(){
	alert("SceneViewProfile.onMouseOutFunc");
	var this_ = sf.scene.get("ViewProfile");
	this_.UpArrow.SetBGImage(" ");
	this_.DownArrow.SetBGImage(" ");
//	this_.UpArrow.Hide();
//	this_.DownArrow.Hide();
}

SceneViewProfile.prototype.ChangeArrow = function(Type)
{
	alert("SceneViewProfile.ChangeArrow");

	switch(Type)
	{
		case ARROW_TYPE.UP_NOR:
			this.UpArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_UP_NOR);
			break;
			
		case ARROW_TYPE.UP_SEL:
			this.DownArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_DOWN_NOR);
			this.UpArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_UP_SEL);
			break;

		case ARROW_TYPE.DOWN_NOR:
			this.DownArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_DOWN_NOR);
			break;
			
		case ARROW_TYPE.DOWN_SEL:
			this.UpArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_UP_NOR);
			this.DownArrow.SetBGImage(g_Image.IMAGE_LIST_MAIN_ARROW_DOWN_SEL);
			break;		
	}
}

